Bug 21897 - Afar locales: Fix mon, abmon, and abday
Summary: Afar locales: Fix mon, abmon, and abday
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.26
: P2 normal
Target Milestone: 2.30
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-03 07:58 UTC by Akhilesh Kumar
Modified: 2019-07-17 10:17 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2019-07-10 00:00:00
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Akhilesh Kumar 2017-08-03 07:58:55 UTC

    
Comment 1 Akhilesh Kumar 2017-08-03 08:08:52 UTC
*locales/aa_DJ  :"abday" update lowercase to uppercase
                 "abmon" update lowercase to uppercase
                 "abmon" Fix 2nd month abname

https://sourceware.org/ml/libc-alpha/2017-08/msg00068.html
Comment 3 Mike FABIAN 2017-10-30 07:00:43 UTC
These are 13 month names.

http://www.mcit.gov.et/documents/1268465/1282796/Localization+Standard+for+AFARAF/4dab7d83-e6df-4f4f-b236-b89748c456e9?version=1.0

says:

> 9. Calendar  
> 9.1 System of the Calendar   
> 
> Ethiopia officially uses a calendar which is different from the
> Gregorian calendar.  The calendar is known as Ethiopian Calendar (E.C.)
> which is 7 years behind the Gregorian calendar, from September 11/ 12 to
> December, and 8 years behind for the rest, i.e.  January to September
> 10/ 11.  The calendar has 12 months each having 30 days equally and an
> additional 5/6 days depending on the leap year, where 5 days are during
> normal year and 6 days for the Ethiopian leap year. These additional 5/6
> days are called P'agume and come at the end of the year as the “13th
> month”.
>  
> In the Ethiopian calendar, New Year starts on the 1st of the month of
> Meskerem which falls on 11th of September in the Gregorian calendar
> except the year next to the Ethiopian leap year which is September 12.
>  
> 9.2   Names of Months   
> Table 3: Afaraf names of months  
> 
> [... table with the names of the 13 months ...]

I’m not sure how this can be put in to the aa_* locale files at all.

glibc does not support Ethiopian calendar.

Rafał Lużyński writes:

> If preparing locales for the countries which use non-Gregorian
> calendars we should rather ask how do they call Gregorian months.

I agree.

So unless a native speaker tells us how to call the Gregorian
months correctly, we cannot fix this.
Comment 4 Mike FABIAN 2017-10-30 07:02:17 UTC
Closing as INVALID because changing the month
names to those  of the Ethiopian calendar cannot
work when glibc does not support the Ethiopian calendar.
Comment 5 Rafal Luzynski 2019-07-10 10:02:54 UTC
Since CLDR now supports Afar language (in 3 territories), at least partially, I reopen this bug. Also here is a new patch fixing the same issue:

https://sourceware.org/ml/libc-alpha/2019-07/msg00218.html
Comment 6 cvs-commit@gcc.gnu.org 2019-07-17 10:07:17 UTC
The master branch has been updated by Rafal Luzynski <rl@sourceware.org>:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9208c3b8043cc1d9bb2c6beb57a208b7ec295020

commit 9208c3b8043cc1d9bb2c6beb57a208b7ec295020
Author: Rafal Luzynski <digitalfreak@lingonborough.com>
Date:   Mon Jul 8 23:49:42 2019 +0200

    Afar locales: Months and days updated from CLDR (bug 21897).
    
    This commit updates month and weekday names (full and abbreviated)
    from CLDR 35.1 with the following exceptions.
    
    It was not clear why the full name of February in aa_DJ and aa_ER was
    "Kudo" while the abbreviated version is "Nah" but some additional
    sources [1] [2] as well as the content of aa_ER and aa_ER@saaho
    suggest it should be "Naharsi Kudo".  This commit consequently sets
    the translation of February to "Naharsi Kudo" in aa_DJ and aa_ET.
    
    aa_ER@saaho is not supported by CLDR but since the month names were
    identical to aa_ER before this commit, the same values have been copied
    from aa_ER.
    
    Links:
    
    [1] https://fr.wiktionary.org/wiki/naharsi_kudo
    [2] http://www.mcit.gov.et/web/guest/-/localization-standard-for-afaraf
    
    	[BZ #21897]
    	* localedata/locales/aa_DJ (abday): Update from CLDR, all words
    	begin with an uppercase letter now.
    	(abmon): Likewise.
    	(mon): Update from CLDR, reword February from "Kudo" to
    	"Naharsi Kudo", April from "Agda Baxisso" to "Agda Baxis",
    	and August from "Liiqen" to "Leqeeni".
    	* localedata/locales/aa_ER (mon): Update from CLDR, reword
    	April from "Agda Baxisso" to "Agda Baxis" and August from
    	"Leqeeni" to "Liiqen".
    	* localedata/locales/aa_ER@saaho (mon): Likewise.
    	* localedata/locales/aa_ET (abmon): Update from CLDR, reword
    	abbreviated February from "Kud" to "Nah".
    	(mon): Update from CLDR, reword February from "Kudo" to
    	"Naharsi Kudo" and April from "Agda Baxisso" to "Agda Baxis".
Comment 7 Rafal Luzynski 2019-07-17 10:17:06 UTC
This bug has been fixed in master.  Thank you Akhilesh for reporting this.